Subject: Re: JMP> Counts [of MIB objects] in version 0.83 Specification

From: JK Martin <[email-masked]>
Date: Mon, 21 Jul 1997 16:42:09 -0400 (EDT)

I agree entirely with Ron.  Please REMOVE the counts, Tom.  That way
we'll have fewer editorial changes to make in the future.

Thanks.

	...jay

----- Begin Included Message -----

>From [email-masked] Mon Jul 21 13:15 EDT 1997
Date: Mon, 21 Jul 1997 10:13:15 -0700 (PDT)
From: Ron Bergman <[email-masked]>
To: Tom Hastings <[email-masked]>
cc: [email-masked]
Subject: Re: JMP> Counts [of MIB objects] in version 0.83 Specification
X-X-Sender: [email-masked]

Tom,

Why not make your life a little easier and just remove the counts?
This is a detail that is easy to obtain for anyone who really needs
this information.

	Ron

On Mon, 21 Jul 1997, Tom Hastings wrote:

> Ron,
> 
> Whether the counts of the number of objects in the MIB that are included
> in the Abstract and Introduciton include in-accessible objects or not is 
> perhaps why there is a disagreement about whether the counts are accurate 
> or not.
> 
> I considered removing them as you had suggested, but thought it gave the
> reader some high level feeling for the MIB.  Even if the counts were
> absolutely accurate, I don't think anyone would be confused or mis-led.
> 
> Looks like I didn't count very well.  The total of 18 objects in the
> Abstract (line 61) is correct, from the listing of objects in the conformance
> section, but doesn't count the in-accessible index objects.  So 
> how about if if I change "18 SNMP MIB objects" to "18 read-only SNMP
> MIB objects".  That will clarify what we are counting and give the
> valuable information in the Abstract that this MIB only defines read-only 
> objects?
> 
> On lines 252 - 254, I need to subtract one from the General Group count
> and add 1 to the Job Group count and add "read-only" too.  (I had checked
> that the totals agreed with the Abstract, but forgot to check each group).
> 
> But if people want me to remove the counts from lines 61 and 252-254,
> I can do that too.
> 
> Comments?
> 
> Tom
> 
> At 20:35 07/20/97 PDT, Ron Bergman wrote:
> >Tom,
> >
> >This version is getting very close!  Thank you for all your work in
> >getting this completed.  I have a number of editorial comments which
> >I will send later.  First a non-editorial comment.
> >
> >The Abstact (page 1) and the Introduction (page 8) contain counts of 
> >the objects in the MIB.  The Abstract defines the total and the
> >Introduction defines the numbr of objects in each group.  I feel that
> >this is detail that is not needed and can easily be derived by anyone
> >who really needs these counts.  My fear is that changes to the MIB
> >will not be reflected in changes to these counts.  In fact, of the
> >five counts presented, only one is correct!
> >
> >This same comment was made in my review of version 0.82 and was not
> >incorporated in the document.  What is the justification for these
> >counts?  (I believe that you have included them due to the original
> >concerns of PWG members that the MIB was too large.)  The job of the
> >editor will certainly be easier now and in the future without this
> >amount of detail.
> >
> >I propose that these counts be removed and am calling for a straw
> >vote on this proposal.  If anyone can provide a good justification
> >for retaining this data, I will withdraw my request.
> >
> >	Ron Bergman
> >	Dataproducts Corp.
> >
> >
> >
> >
> 
> 

----- End Included Message -----